Loading...
Searching...
No Matches
MysqlSqlUtil Namespace Reference

the MysqlSqlUtil namespace contains all the objects in the MysqlSqlUtil module More...

## Classes

class | MysqlColumn
| represents a MySQL-specific column More...
class | MysqlDatabase
| provides the MySQL-specific implementation of the AbstractDatabase interface More...
class | MysqlForeignConstraint
| represents a MySQL-specific foreign constraint More...
class | MysqlFunction
| represents a MySQL-specific function More...
class | MysqlIndex
| represents a MySQL-specific index More...
class | MysqlNumberDataType
| the data type for DECIMAL columns More...
class | MysqlNumericColumn
| represents a MySQL-specific numeric column More...
class | MysqlPrimaryKey
| represents a MySQL-specific primary key constraint More...
class | MysqlSavepointHelper
| MySQL savepoint helper. More...
class | MysqlSequence
| class for MySQL sequences based on a sequence table and autonomous transactions More...
class | MysqlTable
| provides the MySQL-specific implementation of the AbstractTable interface More...
class | MysqlTrigger
| represents a MySQL-specific trigger More...
class | MysqlView
| represents a MySQL view More...

## Functions

MysqlDatabase | get_database (AbstractDatasource nds, *hash opts)
| returns a MysqlDatabase object corresponding to the arguments
MysqlTable | get_table (AbstractDatasource nds, string nname, *hash opts)
| returns a MysqlTable object corresponding to the arguments

## Detailed Description

the MysqlSqlUtil namespace contains all the objects in the MysqlSqlUtil module